# Generated from test_rail_integration-0.0.9.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name test_rail_integration

Name: rubygem-%{gem_name}
Version: 0.0.9.2
Release: 1%{?dist}
Summary: Gem for integration between framework and TestRail API
License: MIT
URL: https://github.com/Kirikami/test_rail_integration
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(thor) >= 0.17
# BuildRequires: rubygem(thor) < 1
# BuildRequires: rubygem(fileutils) >= 0.7
# BuildRequires: rubygem(fileutils) < 1
BuildArch: noarch

%description
Setups status of tests into TestRail after each scenario.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/test_rail_integration
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/doc
%{gem_instdir}/spec
%{gem_instdir}/test_rail_integration.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.0.9.2-1
- Initial package
